local VillageDeco = ...

VillageDeco:register({
	DataType = "MONUMENT",
	Id = "FENCE_MONUMENT",
	Name = "FENCE_NAME",
	Description = "FENCE_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "FENCE_DARK_NAME",
	        BuildingPartList = {
				"PREFAB_BRICK_WALL_DARK",
				"PREFAB_BRICK_WALL_HALF_DARK",
				"PREFAB_BRICK_WALL_SHORT_DARK",
				"PREFAB_BRICK_WALL_HALF_BROKEN_DARK",
				"PREFAB_BRICK_WALL_BROKEN_DARK",
				"PREFAB_ARCH_DARK",
				"PREFAB_COBBLESTONE_WALL_SHORT_DARK",
				"PREFAB_COBBLESTONE_PILLAR1_DARK",
				"PREFAB_COBBLESTONE_PILLAR2_DARK",
				"PREFAB_COBBLESTONE_PILLAR3_SHORT_DARK",
				"PREFAB_BRICK_PILLAR_SQUARE_DARK",
				"PREFAB_BRICK_PILLAR_OCTO_DARK"
			}
		},
		{
			Name = "FENCE_LIGHT_NAME",
	        BuildingPartList = {
				"PREFAB_BRICK_WALL_LIGHT",
				"PREFAB_BRICK_WALL_HALF_LIGHT",
				"PREFAB_BRICK_WALL_SHORT_LIGHT",
				"PREFAB_BRICK_WALL_HALF_BROKEN_LIGHT",
				"PREFAB_BRICK_WALL_BROKEN_LIGHT",
				"PREFAB_ARCH_LIGHT",
				"PREFAB_COBBLESTONE_WALL_SHORT_LIGHT",
				"PREFAB_COBBLESTONE_PILLAR1_LIGHT",
				"PREFAB_COBBLESTONE_PILLAR2_LIGHT",
				"PREFAB_COBBLESTONE_PILLAR3_SHORT_LIGHT",
				"PREFAB_BRICK_PILLAR_SQUARE_LIGHT",
				"PREFAB_BRICK_PILLAR_OCTO_LIGHT"
			}
		},
		{	
			Name = "FENCE_FLOOR_NAME",
			BuildingPartList = {
				"PREFAB_BRICK_PATHWAY_DARK",
				"PREFAB_BRICK_PATHWAY_LIGHT"
			}
		},
		{	
			Name = "FENCE_BUILDING_NAME",
			BuildingPartList = {
				"PREFAB_TOMB_DARK",
				"PREFAB_TOMB_LIGHT",
				"PREFAB_PAVILION_DARK",
				"PREFAB_PAVILION_LIGHT"
			}
		},
		{
			Name = "FENCE_GATE_NAME",
	        BuildingPartList = {
				"PREFAB_IRON_GATE_FENCE",
				"PREFAB_IRON_GATE_FENCE_HALF",
				"PREFAB_IRON_GATE_SINGLE",
				"PREFAB_IRON_GATE_LOCK",
				"PREFAB_IRON_GATE_DOOR"
			}
		},
		{
			Name = "FENCE_DECO_NAME",
			BuildingPartList = {
				"PREFAB_DECO_CROSS",
				"PREFAB_DECO_LANTERN",
				"PREFAB_DECO_FLEURDELIS",
				"PREFAB_DECO_DRAGON",
				"PREFAB_DECO_BRAZIER_ON",
				"PREFAB_DECO_BRAZIER_ON_FIRE",
				"PREFAB_DECO_BRAZIER_OFF"
			}
		},
		{
			Name = "FENCE_WALL_DECO_NAME",
			BuildingPartList = {
				"PREFAB_DECO_WALL_TORCH_ON_FIRE",
				"PREFAB_DECO_WALL_CANOPY",
				"PREFAB_DECO_WALL_BANNER_RED"
			}
		},
		{
			Name = "FENCE_ORNA_NAME",
			BuildingPartList = {
				"PREFAB_ORNAMENT_FLEUR",
				"PREFAB_ORNAMENT_FLEUR_GOLD",
				"PREFAB_ORNAMENT_CROSS"
			}
		}
    },
	RequiredPartList = {
		{ Category = "DECORATION", Quantity = 1 }
	},
    IsEditable = true
})