local VillageDeco = ...

VillageDeco:registerAssetProcessor("models/ironfencedark.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

VillageDeco:registerAssetProcessor("models/ironfencelight.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

--register Walls
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Fence_Iron_Part", "PREFAB_FENCE_IRON_DARK")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Fence_Iron_Part", "PREFAB_FENCE_IRON_LIGHT")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Fence_Iron_Fleur_Part", "PREFAB_FENCE_IRON_FLEUR_DARK")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Fence_Iron_Fleur_Part", "PREFAB_FENCE_IRON_FLEUR_LIGHT")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Fence_Stone_Part", "PREFAB_FENCE_STONE_DARK")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Fence_Stone_Part", "PREFAB_FENCE_STONE_LIGHT")

--register Dark Parts
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar1_Part", "PREFAB_COBBLESTONE_PILLAR1_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar2_Part", "PREFAB_COBBLESTONE_PILLAR2_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar3_Short_Part", "PREFAB_COBBLESTONE_PILLAR3_SHORT_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Part", "PREFAB_BRICK_PILLAR_SQUARE_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Pillar_Octo_Part", "PREFAB_BRICK_PILLAR_OCTO_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Arch_Part", "PREFAB_ARCH_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Tomb_Part", "PREFAB_TOMB_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Pavilion_Part", "PREFAB_PAVILION_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part", "PREFAB_BRICK_PATHWAY_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Cobblestone_Wall_Short_Part", "PREFAB_COBBLESTONE_WALL_SHORT_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Part", "PREFAB_BRICK_WALL_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Short_Part", "PREFAB_BRICK_WALL_SHORT_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Half_Part", "PREFAB_BRICK_WALL_HALF_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Half_Broken_Part", "PREFAB_BRICK_WALL_HALF_BROKEN_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Brick_Wall_Broken_Part", "PREFAB_BRICK_WALL_BROKEN_DARK")

--register Light Parts
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar1_Part", "PREFAB_COBBLESTONE_PILLAR1_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar2_Part", "PREFAB_COBBLESTONE_PILLAR2_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar3_Short_Part", "PREFAB_COBBLESTONE_PILLAR3_SHORT_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Part", "PREFAB_BRICK_PILLAR_SQUARE_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Pillar_Octo_Part", "PREFAB_BRICK_PILLAR_OCTO_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Arch_Part", "PREFAB_ARCH_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Tomb_Part", "PREFAB_TOMB_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Pavilion_Part", "PREFAB_PAVILION_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part", "PREFAB_BRICK_PATHWAY_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Cobblestone_Wall_Short_Part", "PREFAB_COBBLESTONE_WALL_SHORT_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Part", "PREFAB_BRICK_WALL_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Short_Part", "PREFAB_BRICK_WALL_SHORT_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Half_Part", "PREFAB_BRICK_WALL_HALF_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Half_Broken_Part", "PREFAB_BRICK_WALL_HALF_BROKEN_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Brick_Wall_Broken_Part", "PREFAB_BRICK_WALL_BROKEN_LIGHT")

--register Decoration Parts
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Fence_Part", "PREFAB_IRON_GATE_FENCE")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Fence_Half_Part", "PREFAB_IRON_GATE_FENCE_HALF")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Lock_Part", "PREFAB_IRON_GATE_LOCK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Single_Part", "PREFAB_IRON_GATE_SINGLE")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Iron_Gate_Door_Part", "PREFAB_IRON_GATE_DOOR")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Cross_Part", "PREFAB_DECO_CROSS")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Lantern_Part", "PREFAB_DECO_LANTERN")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Fleurdelis_Part", "PREFAB_DECO_FLEURDELIS")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part", "PREFAB_DECO_BRAZIER_ON")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Fire_Part", "PREFAB_DECO_BRAZIER_ON_FIRE")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_Off_Part", "PREFAB_DECO_BRAZIER_OFF")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Dragon_Part", "PREFAB_DECO_DRAGON")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Torch_On_Fire_Part", "PREFAB_DECO_WALL_TORCH_ON_FIRE")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Canopy_Part", "PREFAB_DECO_WALL_CANOPY")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Red_Part", "PREFAB_DECO_WALL_BANNER_RED")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Part", "PREFAB_ORNAMENT_FLEUR")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Gold_Part", "PREFAB_ORNAMENT_FLEUR_GOLD")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Ornament_Cross_Part", "PREFAB_ORNAMENT_CROSS")
VillageDeco:registerAssetId("models/fence.png", "TEXTURE_FENCE")
VillageDeco:registerAssetId("models/fire.png", "FIRE_TEXTURE")

VillageDeco:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_FENCE",
	HasAlphaTest = true,
	AlbedoTexture = "TEXTURE_FENCE"
})

VillageDeco:register({
	DataType = "MATERIAL",
	Id = "FIRE_MATERIAL",
	AlbedoTexture = "FIRE_TEXTURE"
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_DARK",
	WallConfigName = "FENCE_IRON_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_DARK",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_LIGHT",
	WallConfigName = "FENCE_IRON_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_LIGHT",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_FLEUR_DARK",
	WallConfigName = "FENCE_IRON_FLEUR_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_FLEUR_DARK",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_IRON_FLEUR_LIGHT",
	WallConfigName = "FENCE_IRON_FLEUR_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_IRON_FLEUR_LIGHT",
	CrenationDistance = 4.9,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_STONE_DARK",
	WallConfigName = "FENCE_STONE_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_STONE_DARK",
	CrenationDistance = 4.8,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "FENCE_STONE_LIGHT",
	WallConfigName = "FENCE_STONE_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_FENCE_STONE_LIGHT",
	CrenationDistance = 4.8,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_DARK",
	Name = "BRICK_WALL_DARK_NAME",
	Description = "BRICK_WALL_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_LIGHT",
	Name = "BRICK_WALL_LIGHT_NAME",
	Description = "BRICK_WALL_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_SHORT_DARK",
	Name = "BRICK_WALL_SHORT_DARK_NAME",
	Description = "BRICK_WALL_SHORT_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_SHORT_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_SHORT_LIGHT",
	Name = "BRICK_WALL_SHORT_LIGHT_NAME",
	Description = "BRICK_WALL_SHORT_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_SHORT_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_HALF_DARK",
	Name = "BRICK_WALL_HALF_DARK_NAME",
	Description = "BRICK_WALL_HALF_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_HALF_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_HALF_LIGHT",
	Name = "BRICK_WALL_HALF_LIGHT_NAME",
	Description = "BRICK_WALL_HALF_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_HALF_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_HALF_BROKEN_DARK",
	Name = "BRICK_WALL_HALF_BROKEN_DARK_NAME",
	Description = "BRICK_WALL_HALF_BROKEN_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_HALF_BROKEN_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_HALF_BROKEN_LIGHT",
	Name = "BRICK_WALL_HALF_BROKEN_LIGHT_NAME",
	Description = "BRICK_WALL_HALF_BROKEN_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_HALF_BROKEN_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_BROKEN_DARK",
	Name = "BRICK_WALL_BROKEN_DARK_NAME",
	Description = "BRICK_WALL_BROKEN_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_BROKEN_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_WALL_BROKEN_LIGHT",
	Name = "BRICK_WALL_BROKEN_LIGHT_NAME",
	Description = "BRICK_WALL_BROKEN_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_WALL_BROKEN_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_WALL_SHORT_DARK",
	Name = "COBBLESTONE_WALL_SHORT_DARK_NAME",
	Description = "COBBLESTONE_WALL_SHORT_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_WALL_SHORT_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_WALL_SHORT_LIGHT",
	Name = "COBBLESTONE_WALL_SHORT_LIGHT_NAME",
	Description = "COBBLESTONE_WALL_SHORT_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = {
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_WALL_SHORT_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR1_DARK",
	Name = "COBBLESTONE_PILLAR1_DARK_NAME",
	Description = "COBBLESTONE_PILLAR1_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1.5,1.5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR1_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR1_LIGHT",
	Name = "COBBLESTONE_PILLAR1_LIGHT_NAME",
	Description = "COBBLESTONE_PILLAR1_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1.5,1.5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR1_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR2_DARK",
	Name = "COBBLESTONE_PILLAR2_DARK_NAME",
	Description = "COBBLESTONE_PILLAR1_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1.5,1.5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR2_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR2_LIGHT",
	Name = "COBBLESTONE_PILLAR2_LIGHT_NAME",
	Description = "COBBLESTONE_PILLAR1_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1.5,1.5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR2_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR3_SHORT_DARK",
	Name = "COBBLESTONE_PILLAR3_SHORT_DARK_NAME",
	Description = "COBBLESTONE_PILLAR3_SHORT_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1.5,1.5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR3_SHORT_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_COBBLESTONE_PILLAR3_SHORT_LIGHT",
	Name = "COBBLESTONE_PILLAR3_SHORT_LIGHT_NAME",
	Description = "COBBLESTONE_PILLAR3_SHORT_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1.5,1.5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_COBBLESTONE_PILLAR3_SHORT_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_SQUARE_DARK",
	Name = "BRICK_PILLAR_SQUARE_DARK_NAME",
	Description = "BRICK_PILLAR_SQUARE_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1.5,1.5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_SQUARE_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_SQUARE_LIGHT",
	Name = "BRICK_PILLAR_SQUARE_LIGHT_NAME",
	Description = "BRICK_PILLAR_SQUARE_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1.5,1.5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_SQUARE_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_OCTO_DARK",
	Name = "BRICK_PILLAR_OCTO_DARK_NAME",
	Description = "BRICK_PILLAR_OCTO_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1.5,1.5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_OCTO_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PILLAR_OCTO_LIGHT",
	Name = "BRICK_PILLAR_OCTO_LIGHT_NAME",
	Description = "BRICK_PILLAR_OCTO_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1.5,1.5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PILLAR_OCTO_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ARCH_DARK",
	Name = "ARCH_DARK_NAME",
	Description = "ARCH_DARK_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ARCH_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ARCH_LIGHT",
	Name = "ARCH_LIGHT_NAME",
	Description = "ARCH_LIGHT_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ARCH_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_TOMB_DARK",
	Name = "TOMB_DARK_NAME",
	Description = "TOMB_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {4,5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TOMB_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_TOMB_LIGHT",
	Name = "TOMB_LIGHT_NAME",
	Description = "TOMB_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {4,5},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TOMB_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PAVILION_DARK",
	Name = "PAVILION_DARK_NAME",
	Description = "PAVILION_DARK_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PAVILION_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PAVILION_LIGHT",
	Name = "PAVILION_LIGHT_NAME",
	Description = "PAVILION_LIGHT_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PAVILION_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PATHWAY_DARK",
	Name = "BRICK_PATHWAY_DARK_NAME",
	Description = "BRICK_PATHWAY_DARK_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PATHWAY_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_BRICK_PATHWAY_LIGHT",
	Name = "BRICK_PATHWAY_LIGHT_NAME",
	Description = "BRICK_PATHWAY_LIGHT_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BRICK_PATHWAY_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_FENCE",
	Name = "IRON_GATE_FENCE_NAME",
	Description = "IRON_GATE_FENCE_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_FENCE"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_FENCE_HALF",
	Name = "IRON_GATE_FENCE_HALF_NAME",
	Description = "IRON_GATE_FENCE_HALF_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_FENCE_HALF"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_LOCK",
	Name = "IRON_GATE_LOCK_NAME",
	Description = "IRON_GATE_LOCK_DESC",
	Category = "DECORATION",
	BuildingZone = {5,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_LOCK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_SINGLE",
	Name = "IRON_GATE_SINGLE_NAME",
	Description = "IRON_GATE_SINGLE_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_SINGLE"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRON_GATE_DOOR",
	Name = "IRON_GATE_DOOR_NAME",
	Description = "IRON_GATE_DOOR_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRON_GATE_DOOR"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_CROSS",
	Name = "DECO_CROSS_NAME",
	Description = "DECO_CROSS_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_CROSS"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_LANTERN",
	Name = "DECO_LANTERN_NAME",
	Description = "DECO_LANTERN_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_LANTERN"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_FLEURDELIS",
	Name = "DECO_FLEURDELIS_NAME",
	Description = "DECO_FLEURDELIS_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_FLEURDELIS"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_BRAZIER_ON",
	Name = "DECO_BRAZIER_ON_NAME",
	Description = "DECO_BRAZIER_ON_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_BRAZIER_ON"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_BRAZIER_ON_FIRE",
	Name = "DECO_BRAZIER_ON_FIRE_NAME",
	Description = "DECO_BRAZIER_ON_FIRE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_BRAZIER_ON_FIRE"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_BRAZIER_OFF",
	Name = "DECO_BRAZIER_OFF_NAME",
	Description = "DECO_BRAZIER_OFF_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_BRAZIER_OFF"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_DRAGON",
	Name = "DECO_DRAGON_NAME",
	Description = "DECO_DRAGON_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_DRAGON"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_TORCH_ON_FIRE",
	Name = "DECO_WALL_TORCH_ON_FIRE_NAME",
	Description = "DECO_WALL_TORCH_ON_FIRE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_TORCH_ON_FIRE"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_CANOPY",
	Name = "DECO_WALL_CANOPY_NAME",
	Description = "DECO_WALL_CANOPY_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_CANOPY"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_DECO_WALL_BANNER_RED",
	Name = "DECO_WALL_BANNER_RED_NAME",
	Description = "DECO_WALL_BANNER_RED_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WALL_BANNER_RED"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ORNAMENT_FLEUR",
	Name = "ORNAMENT_FLEUR_NAME",
	Description = "ORNAMENT_FLEUR_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ORNAMENT_FLEUR"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ORNAMENT_FLEUR_GOLD",
	Name = "ORNAMENT_FLEUR_GOLD_NAME",
	Description = "ORNAMENT_FLEUR_GOLD_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ORNAMENT_FLEUR_GOLD"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ORNAMENT_CROSS",
	Name = "ORNAMENT_CROSS_NAME",
	Description = "ORNAMENT_CROSS_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ORNAMENT_CROSS"
	}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Arch_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Tomb_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Half_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Half_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Wall_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Wall_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar1_Part/Attach_Minor.021", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar1_Part/Attach_Minor.022", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar1_Part/Attach_Minor.023", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar1_Part/Attach_Minor.024", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar2_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar2_Part/Attach_Minor.039", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar2_Part/Attach_Minor.040", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar2_Part/Attach_Minor.041", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar2_Part/Attach_Minor.042", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Cobblestone_Pillar3_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Part/Attach_Minor.008", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Part/Attach_Minor.009", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Part/Attach_Minor.010", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Square_Part/Attach_Minor.011", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pillar_Octo_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Arch_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Tomb_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "RIGHT",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "RIGHT",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Half_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Half_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Wall_Broken_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Wall_Short_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar1_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar1_Part/Attach_Minor.021", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar1_Part/Attach_Minor.022", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar1_Part/Attach_Minor.023", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar1_Part/Attach_Minor.024", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar2_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar2_Part/Attach_Minor.039", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar2_Part/Attach_Minor.040", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar2_Part/Attach_Minor.041", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Cobblestone_Pillar2_Part/Attach_Minor.042", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Part/Attach_Minor.008", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Part/Attach_Minor.009", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Part/Attach_Minor.010", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Square_Part/Attach_Minor.011", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-45,45}
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pillar_Octo_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Fence_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Fence_Half_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Lock_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Single_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Iron_Gate_Door_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Cross_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Cross_Part/Attach_Minor.016", {
	DataType = "COMP_BUILDING_ATTACH_NODE",
	AllowedAngles = {-90,90}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Lantern_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Fleurdelis_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	FeedbackComponentListToActivate = {
		{ "SMOKE_EMITTER", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Fire_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	FeedbackComponentListToActivate = {
		{ "FIRE_EMITTER", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_Off_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Dragon_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Torch_On_Fire_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR",
	IsGrounded = true,
	FeedbackComponentListToActivate = {
		{ "FIRE_TORCH_EMITTER", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Canopy_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "INNER_TOP",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Banner_Red_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "LEFT",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Ornament_Fleur_Gold_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "LEFT",
	IsGrounded = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Ornament_Cross_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "LEFT",
	IsGrounded = true
})

VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Fire_Part/FireEmitter", "FIRE_EMITTER")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part/SmokeEmitter", "SMOKE_EMITTER")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Deco_Wall_Torch_On_Fire_Part/FireTorchEmitter", "FIRE_TORCH_EMITTER")

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Fire_Part/FireEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_FIRE",
	IsPlaying = true,
	IsEmitting = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Brazier_On_Part/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = true
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Deco_Wall_Torch_On_Fire_Part/FireTorchEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_FIRE",
	IsPlaying = true,
	IsEmitting = true
})

VillageDeco:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "PARTICLE_SYSTEM_FIRE",
	Material = "FIRE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA",
	Duration = 2,
	Looping = true,
	Delay = { 0, 0},
	LifeTime = 2,
	StartSpeed = { 0.7, 0.7 },
	StartSize = { 2, 2 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 15,
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_CONE",
		Angle = 10,
		Radius = 0.0001,
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CURVE_RANDOM",
		ValueA = { 0.06, 0, 0.06 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0.6, 0.6, 0, 1} },
			{ T = 0.1, Color = { 0.6, 0.4, 0, 1} },
			{ T = 0.2, Color = { 0.6, 0.6, 0.6, 1 } },
			{ T = 1, Color = { 0.1, 0.1, 0.1, 1 } }
		},
		AlphaList = {
			{ T = 0, Alpha = 0 },
			{ T = 0.1, Alpha = 100 },
			{ T = 0.2, Alpha = 100 },
			{ T = 1, Alpha = 50 }
		},
		},
		SizeOverLifetime = {
			{ T = 0, Value = 0.1 },
			{ T = 0.7, Value = 0.25 },
			{ T = 1.5, Value = 0.4 }
	},
	RotationOverLifetime = { -45, 45 },
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part", {
	DataType = "COMP_DIRT_CIRCLE",
	HardRadius = 1,
	SoftRadius = 2,
	IsPermanent = true,
	Strength = 1
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 1,
	SoftRadius = 2,
	Strength = 1
})

-- Grounded Pillar Base
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base1", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base2", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base3", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base4", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base5", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base6", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base1", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base2", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base3", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base4", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base5", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base6", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = {1,1}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base1", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base2", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base3", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base4", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base5", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pavilion_Part/Base6", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base1", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base2", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base3", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base4", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base5", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pavilion_Part/Base6", {
	DataType = "COMP_GROUNDED"
})

-- Grounded Fence Pillars
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Fence_Iron_Fleur_Part/Pillar1", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Fence_Iron_Part/Pillar2", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Fence_Stone_Part/Pillar3", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Fence_Iron_Fleur_Part/Pillar1", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Fence_Iron_Part/Pillar2", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Fence_Stone_Part/Pillar3", {
	DataType = "COMP_GROUNDED"
})

-- Grounded Pathway
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone1", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone2", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone3", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone4", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone5", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone6", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone7", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone8", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone9", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone10", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone11", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone12", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone13", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone14", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Brick_Pathway_Part/Stone15", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone1", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone2", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone3", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone4", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone5", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone6", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone7", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone8", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone9", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone10", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone11", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone12", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone13", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone14", {
	DataType = "COMP_GROUNDED"
})
VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Brick_Pathway_Part/Stone15", {
	DataType = "COMP_GROUNDED"
})